// Copyright (c) 2022 MASSA LABS <info@massa.net>

use displaydoc::Display;
use thiserror::Error;

#[non_exhaustive]
#[derive(Display, Error, Debug, Clone)]
/// Error generated by massa-signature crate
pub enum MassaSignatureError {
    /// Parsing error: {0}
    ParsingError(String),

    /// Signature error : {0}
    SignatureError(String),

    /// Wrong prefix for hash: expected {0}, got {1}
    WrongPrefix(String, String),
}
